[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.CanModify

Can the data in the dataset be modified

## Declaration

Source position: db.pas line 1725

`public property TDataSet.CanModify : Boolean read GetCanModify;`

## Description

CanModifiy indicates whether the dataset allows editing. Unidirectional datasets do not allow editing. Descendent datasets can impose additional conditions under which the data can not be modified (read-only datasets, for instance). If the CanModify property is False, then the edit, append or insert methods will fail.

## See also

TDataset.Insert |  | Insert a new record at the current position.
TDataset.Append |  | Append a new record to the data
TDataset.Delete |  | Delete the current record.
Tdataset.Edit |  | Set the dataset in editing mode.